# How to contribute?

We welcome and encourage every bug report, feature and pull request.


## You have an issue with `phonemizer` or a feature request

Please open an [issue on github](https://github.com/bootphon/phonemizer/issues)
and follow the template from there.


## You want to contribute code

If you're willing to take it upon yourself to improve `phonemizer`, via
bugfixes, improvements and new features, please follow these steps:

- Submit an issue explaining what you're willing to fix or add to this package.
  We can discuss with you on the the best way to do it, considering the current
  state of things.

- Fork the `phonemizer` repo, code away and open a pull-request. If you add some
  code or change significantly a function, please test it by adding more unit
  tests.

- Ensure the tests are passing on Linux, MacOS and Windows on the [github
  continuous integration page](https://github.com/bootphon/phonemizer/actions).
  This is important because `phonemizer` is used on a wide range of systems and
  configurations.

- Please conform to the following conventions:

    - Python code follows [PEP 8 style](https://pep8.org).
    - Docstrings follow [Google
      style](https://google.github.io/styleguide/pyguide.html#s3.8-comments-and-docstrings).
